from epd2in7b import EPD
from PIL import Image

class Output:
    def initialize(self):
        self.epd = EPD()
        self.epd.init()

    def finalize(self):
        self.epd.sleep()
        self.epd.Dev_exit()
        self.epd = None

    def process(self, blackImage, redImage):

        # Make sure, that red is in background
        for x in range(blackImage.width):
            for y in range(blackImage.height):
                blackPixel = blackImage.getpixel((x, y))
                if (blackPixel < 128):
                    redImage.putpixel((x, y), 255)

        self.epd.display(self.epd.getbuffer(blackImage.rotate(180)), self.epd.getbuffer(redImage.rotate(180)))