from PIL import Image

class Output:
    def initialize(self):
        pass

    def finalize(self):
        pass

    def process(self, blackImage, redImage):
        result = Image.new("RGB", (blackImage.width, blackImage.height), (255, 255, 255))

        for y in range(blackImage.height):
            for x in range(blackImage.width):
                if redImage.getpixel((x, y)) < 128:
                    result.putpixel((x, y), (255, 0, 0))
                elif blackImage.getpixel((x, y)) < 128:
                    result.putpixel((x, y), (0, 0, 0))
                else:
                    result.putpixel((x, y), (255, 255, 255))

        blackImage.save("D:\\black.png")
        redImage.save("D:\\red.png")
        result.save("D:\\display.png")
